Subject: Re: bug#29189: 25.3; Dired does not work with binary filenames

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Nov 2017 10:44:47 +0200

On November 8, 2017 8:22:01 AM GMT+02:00, Allen Li <[email-masked]> wrote:
> On Tue, Nov 7, 2017 at 2:00 AM, Andreas Schwab <[email-masked]> wrote:
> > On Nov 07 2017, Allen Li <[email-masked]> wrote:
> >
> >> Dired does not work with binary filenames
> >>
> >> For example, create such a file with Bash:
> >>
> >> touch $'\265'
> >>
> >> 1. Navigate to the directory containing said file with Dired
> >> 2. Mark file for deletion with d
> >> 3. x
> >>
> >> Expected:
> >>
> >> File deleted
> >
> > It works if you add b to dired-listing-switches, though the buffer
> isn't
> > properly updated afterwards.
> 
> I just discovered that -b does not play well with wdired.  Should I
> file a separate bug for that?

I don't understand why -b should be used at all.  In my testing, it
wasn't needed.  Maybe this depends on the locale?  What's yours?